#!/bin/sh

# Queue_Size.sh
# Tue Dec 30 18:51:35 PST 2008
# Chieh Cheng
# http://www.CynosureX.com/

# GNU General Public License (GPL) Version 2, June 1991

  scriptName=`basename "$0"`

  usage ()
  {
    echo "  Usage:   ${scriptName} \"name\""
    echo
    echo "           name - Name of the set."
  }

  if [ $# -eq 1 ]
  then
    name="$1"

    tokens=`Tokenize.sh "_" "${scriptName}"`
    type=`echo "${tokens}" | Token.sh 1`

    file=`${type}_GetFileName.sh "${name}"`
    cat "${file}" | wc -l
  else
    usage
  fi
